# $Revision: 1.14 $, $Date: 2005/02/06 20:03:54 $
Summary:	Library for checking ink level of a printer
Summary(pl):	Biblioteka do sprawdzania poziomu atramentu drukarki
Name:		libinklevel
Version:	0.6.4
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	d714c1285387337468f8aa1e0302349d
Patch0:		%{name}-build_fixes.patch
URL:		http://libinklevel.sourceforge.net/
BuildRequires:	libieee1284-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libinklevel is a library for checking the ink level of printer. It
supports printers attached via parallel port or USB.
Supported printers list can be found here:
http://libinklevel.sourceforge.net/index.html#supported

%description -l pl
Libinklevel jest bibliotek wykorzystywan do sprawdzania poziomu
atramentu w drukarce. Wspierane s drukarki podczone za
porednictwem portu rwnolegego oraz USB.
List aktualnie obsugiwanych drukarek mona znale tutaj:
http://libinklevel.sourceforge.net/index.html#supported

%package devel
Summary:	Header files for libinklevel
Summary(pl):	Pliki nagwkowe dla libinklevel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libinklevel.

%description devel -l pl
Pliki nagwkowe dla libinklevel.

%prep
%setup -qn %{name}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*.h

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libinklevel.spec,v $
Revision 1.14  2005/02/06 20:03:54  adamg
- updated to 0.6.4

Revision 1.13  2004/09/30 14:43:06  arekm
- updated to 0.6.3

Revision 1.12  2004/06/06 14:04:57  jpc
- updated supported printers link

Revision 1.11  2004/06/06 14:02:22  qboosh
- updated patch, fixed build on amd64

Revision 1.10  2004/06/06 12:00:06  arekm
- fixed url

Revision 1.9  2004/01/13 19:07:09  freetz
- up to 0.6.2

Revision 1.8  2003/12/06 19:53:02  freetz
- added some info about supported printers

Revision 1.7  2003/12/06 17:55:38  freetz
- 0.6.1 (bugfix release)

Revision 1.6  2003/12/05 13:36:08  qboosh
- fixed build_fixes patch, fixed -devel Group, pass CC

Revision 1.5  2003/12/05 12:48:58  matkor
- df

Revision 1.4  2003/12/04 18:06:55  grzegol
- removed R(pre,post): /sbin/ldconfig

Revision 1.3  2003/12/04 16:55:05  ankry
- cosmetics

Revision 1.2  2003/12/04 16:47:35  freetz
- OPTFLAGS added

Revision 1.1  2003/12/04 16:43:42  freetz
- initial
